#include <iosfwd>
#include <string>

namespace args {
  using namespace std;
  typedef unsigned uint;

  extern string seqfile;  // Name of fasta format sequence(s) file
  extern string matfile;  // Name of matrix file
  extern string mat_title;  // just search using this matrix
  extern double score_thresh;  // Print motifs with scores >= this
  extern string outfile;  // write output to here
  extern uint bg_range;  // Go up to this far either side of current base
                         // when counting local base abundances
  extern bool even_bg;  // pretend residue abundances are 1/4 each
  extern bool mask_lower;  // mask lowercase letters?
  extern double pseudo;  // Pseudocount to add to all matrix entries

  void parse(int argc, char ** argv);
  void print(ostream & strm);
}
